%!TEX root=../../source.tex
%!TEX file=content/cdpr-analysis.tex

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\section{Cable Robot Simulation}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{frame}
  \frametitle{\secname}
  \framesubtitle{Statics and Kinetostatics}

  \begin{minipage}[c]{0.49\linewidth}
    \begin{itemize}
      \item Framework consistent with existing cable robot analysis methods
      \item Straight forward application to various cable robots
        \begin{itemize}
          \item redundantly restrained
          \item completely restrained
          \item suspended/hanging
        \end{itemize}
    \end{itemize}
    
    \begin{figure}
      \centering
      \smaller[2]
      % \tikzexternalenable%
      % \tikzsetnextfilename{caro-dynamics--named--ipanema-mini--statics--shape}
      \includegraphics[%
          % width=1.00\linewidth,%
          height=0.35\textheight,%
          width=1.00\linewidth,%
          % axisratio=4.00,%
        ]{caro-dynamics/named/ipanema-mini/statics/residuals}
      \vspace*{-1.00\baselineskip}
      \caption{Residual iteration for kinetostatic solving of \IPAnemaMini.}
      % \tikzexternaldisable%
    \end{figure}
    
    % \vfill
    
    % \begin{table}
    %   \centering
    %   \smaller[1]
    %   \caption{Mechanical cable properties of \IPAnemaThree cables}
    %   \input{tables/cable-robots/ipanema_3/cable}
    % \end{table}
    
    % \alert{Statics and Kinetostatics}
    % \begin{itemize}
    %   \item Provides results consistent with existing algorithms for static force distribution
    %   \item Quick and stable convergence of results independent of robot size
    % \end{itemize}
    
    % \alert{Dynamics}
    
    % \begin{itemize}
    %   \item Exemplified on \IPAnemaThree
    %   \item Kinetostatically balanced platform
    %   \item Vertical motion from $z = \SI{0.00}{\meter}$ to $z = \SI{1.331}{\meter}$
    % \end{itemize}
  \end{minipage}%
  \hfill%
  \begin{minipage}[c]{0.49\linewidth}
    \begin{figure}
      \centering
      \smaller[2]
      \includegraphics[%
          width=1.00\linewidth,%
          % height=0.80\textheight,%
          axisratio=1.00,%
        ]{caro-dynamics/named/ipanema-mini/statics/shape}
      \caption{Static equilibrium of kinematic cable robot \IPAnemaMini.}
    \end{figure}
  \end{minipage}%
\end{frame}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{frame}
  \frametitle{\secname}
  \framesubtitle{Simulation Set Up}
  
  \vfill

  \begin{minipage}[c]{0.49\linewidth}
    \begin{itemize}
      \item Exemplified on \IPAnemaThree
      % \item Kinetostatically balanced platform
      \item Vertical motion from $z = \SI{0.00}{\meter}$ to $z = \SI{1.331}{\meter}$
    \end{itemize}
    
    \begin{figure}
      \centering
      \smaller[2]
      \includegraphics[%
          width=1.00\linewidth,%
          % height=0.40\textheight,%
          axisratio=2.00,%
        ]{caro-dynamics/named/ipanema-3/motion_up/degree-7/segment-11/20190331T12500612560/poselist}
      \vspace*{-1.00\baselineskip}
      \caption{Spatial input trajectories for simulation (platform rotation kept constant).}
    \end{figure}
  \end{minipage}%
  \hfill%
  \begin{minipage}[c]{0.49\linewidth}
    \begin{table}
      \centering
      \smaller[1]
      \caption{Mechanical properties of \IPAnemaThree cables \Dyneema~SK78 Liros D-Pro.}
      \input{tables/cable-robots/ipanema_3/cable}
    \end{table}
  \end{minipage}%
  
  \vfill
  
  \begin{takeawayblock}{}
    Expect plausible interaction (coupled vibrations) of mobile platform and cables due to considering hefty cables
  \end{takeawayblock}
\end{frame}


% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% \begin{frame}
%   \frametitle{\secname}
%   \framesubtitle{Dynamics: \textsc{IPAnema 3}}
  
%   \begin{minipage}[c]{0.69\linewidth}
%     \begin{figure}
%       \centering
%       \smaller[2]
%       \input{animations/cdpr/named/motion_up/kinetostatic}
%     \end{figure}
%   \end{minipage}%
%   \hfill%
%   \begin{minipage}[c]{0.29\linewidth}
%     \begin{figure}
%       \centering
%       \smaller[2]
%       \includegraphics[%
%           width=\linewidth,%
%           axisratio=1.00,%
%         ]{caro-dynamics/named/ipanema-3/motion_up/degree-7/segment-11/20190308T16102088460/iterations}
%     \end{figure}
%   \end{minipage}
% \end{frame}

%%
% Kinematic: bouncy cables
% animations/cdpr/named/motion_up/ipanema_3/degree-7/segment-11/20190308T16102088460
%
% Kinetostatic: tight cables
% animations/cdpr/named/motion_up/ipanema_3/degree-7/segment-11/20190401T07454937280
%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{frame}
  \frametitle{\secname}
  \framesubtitle{\textsc{IPAnema 3}: Tensed cables}

  % \begin{minipage}[c]{0.59\linewidth}
    \begin{figure}
      \centering
      \smaller[2]
      \input{animations/cdpr/named/motion_up/ipanema_3/degree-7/segment-11/20190401T07454937280}
    \end{figure}
  % \end{minipage}%
  % \hfill%
  % \begin{minipage}[c]{0.39\linewidth}
  %   \begin{figure}
  %     \centering
  %     \smaller[2]
  %     \includegraphics[%
  %         width=\linewidth,%
  %         axisratio=1.00,%
  %       ]{caro-dynamics/named/ipanema-3/motion_up/degree-7/segment-11/20190401T07454937280/iterations}
  %   \end{figure}
  % \end{minipage}
\end{frame}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{frame}
  \frametitle{\secname}
  \framesubtitle{\textsc{IPAnema 3}: Slack cables}
  
  % \begin{center}
  %   \begin{minipage}[c]{0.75\linewidth}
      \begin{figure}
        \centering
        \smaller[2]
        \input{animations/cdpr/named/motion_up/ipanema_3/degree-7/segment-11/20190308T16102088460}
      \end{figure}
  %     \begin{figure}
  %       \centering
  %       \smaller[2]
  %       \includegraphics[%
  %           width=\linewidth,%
  %           height=0.25\textheight,%
  %           % axisratio=0.50,%
  %         ]{caro-dynamics/named/ipanema-3/motion_up/degree-7/segment-11/20190308T16102088460/iterations}
  %     \end{figure}
  %   \end{minipage}%
  % \end{center}
  % \hfill%
  % \begin{minipage}[c]{0.29\linewidth}
  %   \begin{figure}
  %     \centering
  %     \smaller[2]
  %     \includegraphics[%
  %         width=\linewidth,%
  %         height=0.45\textheight,%
  %         % axisratio=0.50,%
  %       ]{caro-dynamics/named/ipanema-3/motion_up/degree-7/segment-11/20190308T16102088460/iterations}
  %   \end{figure}
  % \end{minipage}
\end{frame}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{frame}
  \frametitle{\secname}
  \framesubtitle{Concluding Remarks}

  \begin{minipage}[c]{0.49\linewidth}
    Numerical stability issues arise%
    %
    \begin{itemize}
      \item \alert{Convergence} issues of Newton-Raphson
      \item Large condition number of \alert{residual Jacobian}
      \item Damped Newton-Raphson provides more \alert{stable convergence}
      \item Mechanical properties of cables are \alert{estimates}
    \end{itemize}
  \end{minipage}%
  \hfill%
  \begin{minipage}[c]{0.49\linewidth}
    \begin{figure}
      \centering
      \smaller[2]
      \includegraphics[%
          width=\linewidth,%
          % height=0.80\textheight,%
          axisratio=1.00,%
        ]{caro-dynamics/named/ipanema-3/motion_up/degree-7/segment-11/comparison}
    \end{figure}
  \end{minipage}
\end{frame}
